#include "CS_DryingRack.h"

CS_DryingRack::CS_DryingRack()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_dryingrack";
	drawBeforeOtherEntity = true;
	cbRect.left = 20;
	cbRect.right = 20;
}

void CS_DryingRack::SetState(int stateID, int lr)
{
	if (lr == 0)
		ani.image_index = 0;
	else
		ani.image_index = 1;
}

std::shared_ptr<Entity> CreateCS_DryingRack()
{
	return std::make_shared<CS_DryingRack>();
}
